package LATMOS::Accounts::Web::Controller::Summary::Offices;
use Moose;
use namespace::autoclean;

BEGIN {extends 'Catalyst::Controller'; }

=head1 NAME

LATMOS::Accounts::Web::Controller::Summary::Offices - Catalyst Controller

=head1 DESCRIPTION

Catalyst Controller.

=head1 METHODS

=cut


=head2 index

=cut

sub index :Path :Args(0) {
    my ( $self, $c ) = @_;

    my $base = $c->model('Accounts')->base;

    my @users = $base->search_objects('user', 'active=1');

    foreach ( $base->search_objects('address', 'active=1', map { "user=$_" } @users)) {

        my $add = $base->get_object('address', $_) or next;
        my $site = $add->get_attributes('site')
            || $add->get_attributes('l');
        my $office = $add->get_attributes('physicalDeliveryOfficeName') || '';

        $site or next;

        push (@{$c->stash->{office}{$site}{$office}}, $add);
    }
}


=head1 AUTHOR

olivier

=head1 LICENSE

This library is free software. You can redistribute it and/or modify
it under the same terms as Perl itself.

=cut

__PACKAGE__->meta->make_immutable;

1;
